<?php

/**
The template for displaying posts in masonry layout.
*/

$fastwp_gems_options = fastwp_gems_get_option( array( 'fwp_blog_date_meta' ) );

?>

<li class="blogItem">
  <article>
    <?php $fastwp_gems_pt = get_post_format();
    if( in_array( $fastwp_gems_pt, array( '', 'video', 'gallery', 'audio', 'image' ) ) ) {
        if( $fastwp_gems_pt == '' ) $fastwp_gems_pt = 'image';
        get_template_part( '/extend-helpers/types/' . $fastwp_gems_pt );
    } ?>
    <div class="blogItemMeta">
      <p class="postCategory"><?php echo fastwp_gems_get_category_list( 'true', ', ' ); ?></p>
      <?php echo ( !empty( $fastwp_gems_options['fwp_blog_date_meta'] ) ? '<p class="postDate">' . get_the_date() . '</p>' : '' ); ?>
    </div>
    <h3 class="postHeadline"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
    <p class="smallText"><?php the_excerpt(); ?></p>
  </article>
</li>