<?php

class FastwpGemsSocialNetworks {

    public static function facebook_count( $round = false ) {
        global $fastwp_gems_data;
        if( !empty( $fastwp_gems_data['facebook_page_id'] ) && !empty( $fastwp_gems_data['facebook_token'] ) && function_exists( 'fastwp_gems_web_data' ) ) {
            $data = fastwp_gems_web_data( 'https://graph.facebook.com/v2.8/' . $fastwp_gems_data['facebook_page_id'] . '/?fields=fan_count&access_token=' . $fastwp_gems_data['facebook_token'], true );
            if( isset( $data['fan_count'] ) ) {
                return ( $round ? ceil( (int) $data['fan_count'] / 1000 ): (int) $data['fan_count'] );
            }
        }
        return false;
    }

    public static function instagram_count( $round = false ) {
        global $fastwp_gems_data;
        if( !empty( $fastwp_gems_data['instagram_username'] ) && function_exists( 'fastwp_gems_web_data' ) ) {
            $data = fastwp_gems_web_data( 'https://www.instagram.com/' . $fastwp_gems_data['instagram_username'] . '/?__a=1', true );
            if( isset( $data['user']['followed_by']['count'] ) ) {
                return ( $round ? ceil( (int) $data['user']['followed_by']['count'] / 1000 ) : (int) $data['user']['followed_by']['count']);
            }
        }
        return false;
    }

}
