<?php

add_action('init', 'fastwp_gems_merge_visual_composer_blocks', 6);
function fastwp_gems_merge_visual_composer_blocks(){
	global $fastwp_gems_visual_composer_blocks, $fastwp_gems_vc_blocks;

	/**
	Initialize empty VC Blocks array is if not already set by child theme
	**/
	if(!isset($fastwp_gems_vc_blocks) || !is_array($fastwp_gems_vc_blocks)){
		$fastwp_gems_vc_blocks = array();
	}
	/**
	Merge existent VC Blocks array with all plugin-generated blocks 
	**/
	if(isset($fastwp_gems_visual_composer_blocks) && is_array($fastwp_gems_visual_composer_blocks)){
		$fastwp_gems_visual_composer_blocks = array_merge($fastwp_gems_vc_blocks, $fastwp_gems_visual_composer_blocks);
	}else {
		$fastwp_gems_visual_composer_blocks = $fastwp_gems_vc_blocks;
	}
}