<?php

$fastwp_gems_options = fastwp_gems_get_option( array( 'fwp_logo', 'fwp_logo_hd', 'menu_social_media', 'menu_background', 'menu_contact_info_label', 'menu_contact_info' ) );

if( is_page() ) {
    $fastwp_gems_type = get_post_meta( get_the_ID(), 'p_nav_style', true );
    if( $fastwp_gems_type == 2 ) {
        $fastwp_gems_p_social_links  = get_post_meta( get_the_ID(), 'p_menu_social_media', true );
        if( !empty( $fastwp_gems_p_social_links ) ) {
            $fastwp_gems_options['menu_social_media'] = $fastwp_gems_p_social_links;
        }
        $fastwp_gems_p_logo  = get_post_meta( get_the_ID(), 'p_fwp_logo', true );
        if( !empty( $fastwp_gems_p_logo ) ) {
            $fastwp_gems_options['fwp_logo'] = $fastwp_gems_p_logo;
        }
        $fastwp_gems_p_logo_hd  = get_post_meta( get_the_ID(), 'p_fwp_logo_hd', true );
        if( !empty( $fastwp_gems_p_logo_hd ) ) {
            $fastwp_gems_options['fwp_logo_hd'] = $fastwp_gems_p_logo_hd;
        }
        $fastwp_gems_p_background  = get_post_meta( get_the_ID(), 'p_menu_background', true );
        if( !empty( $fastwp_gems_p_background ) ) {
            $fastwp_gems_options['menu_background'] = $fastwp_gems_p_background;
        }
        $fastwp_gems_p_contact_info_label  = get_post_meta( get_the_ID(), 'p_menu_contact_info_label', true );
        if( !empty( $fastwp_gems_p_contact_info_label ) ) {
            $fastwp_gems_options['menu_contact_info_label'] = $fastwp_gems_p_contact_info_label;
        }
        $fastwp_gems_p_contact_info  = get_post_meta( get_the_ID(), 'p_menu_contact_info', true );
        if( !empty( $fastwp_gems_p_contact_info ) ) {
            $fastwp_gems_options['menu_contact_info'] = $fastwp_gems_p_contact_info;
        }
    }
}

$fastwp_gems_social_links = '';
if( !empty( $fastwp_gems_options['menu_social_media'] ) ) {
    $fastwp_gems_social_links .= '<li class="navLink">';
    foreach( $fastwp_gems_options['menu_social_media'] as $fastwp_sm_l ) {
        $fastwp_sm_l = explode( '|', $fastwp_sm_l );
        if( isset( $fastwp_sm_l[0] ) && isset( $fastwp_sm_l[1] ) )
        $fastwp_gems_social_links .= '<a class="navIcon" href="' . esc_html( trim( $fastwp_sm_l[1] ) ) . '"><span class="' . esc_attr( trim( $fastwp_sm_l[0] ) ) . '"></span></a>';
    }
    $fastwp_gems_social_links .= '</li>';
}

$fastwp_gems_menu_markup = '<div class="sideBar">
      <div id="logo">
        <a href="%s" class="sd-logo"><img src="%s" alt="gems"></a>
        <a href="%s" class="hd-logo"><img src="%s" alt="gems"></a>
      </div>

      <div id="menuIcon">
        <span></span>
        <span></span>
        <span></span>
      </div>
    </div>

    <div class="menuOverlay relPosition" style="background-image: url(\'%s\');background-position: %s">
      <div class="menuWrapper">

        <ul class="vertical menu" data-accordion-menu data-multi-open="false">
            %s
            %s
        </ul>

        <p class="menuContactInfo">
          <span>%s</span>
            %s
        </p>

      </div>
    </div>';

echo sprintf( $fastwp_gems_menu_markup, home_url( '/' ), ( isset( $fastwp_gems_options['fwp_logo']['url'] ) ? $fastwp_gems_options['fwp_logo']['url'] : get_template_directory_uri() . '/assets/img/logo.png' ), home_url( '/' ), ( isset( $fastwp_gems_options['fwp_logo_hd']['url'] ) ? $fastwp_gems_options['fwp_logo_hd']['url'] : get_template_directory_uri() . '/assets/img/logo.png' ), ( isset( $fastwp_gems_options['menu_background']['url'] ) ? $fastwp_gems_options['menu_background']['url'] : '' ), '50% 50%;', FastwpGemsUI_displayMenu( false ), $fastwp_gems_social_links, esc_html( $fastwp_gems_options['menu_contact_info_label'] ), nl2br( esc_html( $fastwp_gems_options['menu_contact_info'] ) ) );