<?php if( is_page() ) {
    $currentTemplate = FastWP::getPageTemplate();
	if($currentTemplate === 'template-one-page.php')
    FastwpGemsSettings::set_var( 'do_skip_menu', true );
}

$fastwp_gems_show_menu = $fastwp_gems_show_overlay = '';

$fastwp_gems_menu = new FastwpGemsMenu;

if( !FastwpGemsSettings::get_var( 'do_skip_menu' ) ) {
    $fastwp_gems_show_menu = $fastwp_gems_menu::nav( false );
    $fastwp_gems_show_overlay = $fastwp_gems_menu::overlay( false );
}

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?><?php echo FastwpGemsUtils::body_attribute(); ?>>

<?php if( FastwpGemsUI_showPreloader() ) { ?>

<div id="loading" class="loadSpinner">
    <div id="loading-center">
      <div id="loading-center-absolute">
        <div class="object" id="object_four"></div>
        <div class="object" id="object_three"></div>
        <div class="object" id="object_two"></div>
        <div class="object" id="object_one"></div>
      </div>
    </div>
</div>

<?php }

echo $fastwp_gems_show_menu;
echo $fastwp_gems_show_overlay;

?>

<div class="mainWrapper">