<?php

fastwp_gems_add_body_class( 'pageBorder' );

$fastwp_gems_options = fastwp_gems_get_option( array( 'blog_hero', 'blog_index_title', 'blog_index_background' ) );

do_action( 'fastwp_gems_before_header' );
get_header();

do_action( 'fastwp_gems_before_page_content' );

if( (boolean) $fastwp_gems_options['blog_hero'] ) {

?>

<div class="mainWrapper">

<div class="heroWrapper relPosition">
    <div class="heroSmall bgBlack"<?php echo ( !empty( $fastwp_gems_options['blog_index_background']['url'] ) ? ' style="background-image: url(\'' . esc_url( $fastwp_gems_options['blog_index_background']['url'] ) . '\'); background-position: 50% 50%;"' : '' ); ?>>
      <div class="horizontalCenter">
        <div class="row">
          <div class="small-11 medium-8 large-6 small-centered columns padding">

            <div class="pageTitle">
              <span><?php echo esc_html( $fastwp_gems_options['blog_index_title'] ); ?></span>
            </div>

          </div>
        </div>
      </div>
    </div>
</div>

<?php

}

fastwp_gems_posts();

if( $wp_query->max_num_pages > 1 ) {

    do_action( 'fastwp_gems_before_paging_nav' );
    echo fastwp_gems_index_pagination();
    do_action( 'fastwp_gems_after_paging_nav' );

}

?>

</div>

<?php

do_action( 'fastwp_gems_after_page_content' );
get_footer();
