<?php

/**
The template for displaying posts in the Gallery post format
*/

if( function_exists( 'redux_post_meta' ) ) {

    global $post;

    $fastwp_gems_url = redux_post_meta( 'fastwp_gems_data', $post->ID, 'post-gallery' );

    if( !empty( $fastwp_gems_url ) && is_array( $fastwp_gems_url ) ) { ?>

    <div class="orbit" role="region" aria-label="Post Gallery" data-orbit data-auto-play="false">

    <button class="icon-arrow-left orbit-previous"><span class="show-for-sr">Previous Slide</span></button>
    <button class="icon-arrow-right orbit-next"><span class="show-for-sr">Next Slide</span></button>

    <ul class="orbit-container">
        <?php foreach( $fastwp_gems_url as $fastwp_gems_v ) { ?>
        <li class="is-active orbit-slide">
            <img class="orbit-image" src="<?php echo esc_url( $fastwp_gems_v['image'] ); ?>" alt="" />
        </li>
        <?php } ?>
    </ul>

    </div>

    <?php }

} ?>