<?php

$fastwp_gems_options = fastwp_gems_get_option( array( 'fwp_logo', 'fwp_logo_hd', 'menu_social_media' ) );

if( is_page() ) {
    $fastwp_gems_override = get_post_meta( get_the_ID(), 'p_override_menu_settings', true );
    if( $fastwp_gems_override == 1 ) {
        $fastwp_gems_p_social_links  = get_post_meta( get_the_ID(), 'p_menu_social_media', true );
        if( !empty( $fastwp_gems_p_social_links ) ) {
            $fastwp_gems_options['menu_social_media'] = $fastwp_gems_p_social_links;
        }
        $fastwp_gems_p_logo  = get_post_meta( get_the_ID(), 'p_fwp_logo', true );
        if( !empty( $fastwp_gems_p_logo ) ) {
            $fastwp_gems_options['fwp_logo'] = $fastwp_gems_p_logo;
        }
        $fastwp_gems_p_logo_hd  = get_post_meta( get_the_ID(), 'p_fwp_logo_hd', true );
        if( !empty( $fastwp_gems_p_logo_hd ) ) {
            $fastwp_gems_options['p_fwp_logo_hd'] = $fastwp_gems_p_logo_hd;
        }
    }
}

$fastwp_gems_social_links = '';
if( !empty( $fastwp_gems_options['menu_social_media'] ) ) {
    $fastwp_gems_social_links .= '<li class="navLink">';
    foreach( $fastwp_gems_options['menu_social_media'] as $fastwp_sm_l ) {
        $fastwp_sm_l = explode( '|', $fastwp_sm_l );
        if( isset( $fastwp_sm_l[0] ) && isset( $fastwp_sm_l[1] ) )
        $fastwp_gems_social_links .= '<a class="navIcon" href="' . esc_html( trim( $fastwp_sm_l[1] ) ) . '"><span class="' . esc_attr( trim( $fastwp_sm_l[0] ) ) . '"></span></a>';
    }
    $fastwp_gems_social_links .= '</li>';
}

$fastwp_gems_menu_markup = '<header class="relPosition fixedHeader">
      <div class="menuBar slide headroom--top headroom--not-bottom" id="autoHide">
        <div class="row expanded">

          <div class="small-6 medium-3 columns">
            <div id="logo">
              <a href="%s" class="sd-logo"><img src="%s" alt="gems"></a>
              <a href="%s" class="hd-logo"><img src="%s" alt="gems"></a>
            </div>
          </div>

          <div class="small-6 medium-9 columns noPadding">
            <div id="menuIcon" class="">
              <span></span>
              <span></span>
              <span></span>
            </div>

            <div class="menuInline">
              <ul>
                %s
                %s
              </ul>
            </div>
          </div>

        </div>
      </div>
    </header>';

echo sprintf( $fastwp_gems_menu_markup, home_url( '/' ), ( isset( $fastwp_gems_options['fwp_logo']['url'] ) ? $fastwp_gems_options['fwp_logo']['url'] : get_template_directory_uri() . '/assets/img/logo.png' ), home_url( '/' ), ( isset( $fastwp_gems_options['fwp_logo_hd']['url'] ) ? $fastwp_gems_options['fwp_logo_hd']['url'] : get_template_directory_uri() . '/assets/img/logo.png' ), FastwpGemsUI_displayMenu( false ), $fastwp_gems_social_links );